Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
21 Views

Does MKL support Boost uBLAS in latest Boost versions?

All the function declarations in the header mkl_boost_ublas_matrix_prod.hpp are surrounded by the guard

#if defined (BOOST_VERSION) && \\
((BOOST_VERSION == 103401) \\
|| (BOOST_VERSION == 103500) \\
|| (BOOST_VERSION == 103600) \\
|| (BOOST_VERSION == 103700) \\
|| (BOOST_VERSION == 103800) \\
|| (BOOST_VERSION == 103900) \\
|| (BOOST_VERSION == 104000) \\
|| (BOOST_VERSION == 104100))

...

#endif

Does this mean that Boost versions higher than 1.41 are not supported?
(The current Boost version is 1.46.)
0 Kudos
2 Replies
Highlighted
Employee
21 Views

Hello,

Which versions of Intel MKL are using now? I see in the latest MKL 10.2 update release, this problem was fixed, it is expect to work with higher version of boost:

#include

#if defined (BOOST_VERSION) && (BOOST_VERSION >= 103401)

.....

Thanks,
Chao

0 Kudos
Highlighted
Beginner
21 Views

Hi Chao, I had on older version of MKL 10.2. Thank you, Johan.
0 Kudos